import * as z from 'zod';
import { ServiceLineStatusSchema } from '../../enums/ServiceLineStatus.schema';
// prettier-ignore
export const ServiceLineResultSchema = z.object({
    id: z.number().int(),
    claimId: z.number().int().nullable(),
    paymentId: z.number().int().nullable(),
    procedureCode: z.string(),
    procedureDate: z.date(),
    quad: z.string().nullable(),
    arch: z.string().nullable(),
    toothNumber: z.string().nullable(),
    toothSurface: z.string().nullable(),
    icn: z.string().nullable(),
    paidCode: z.string().nullable(),
    allowedAmount: z.number().nullable(),
    totalBilled: z.number(),
    totalPaid: z.number(),
    totalAdjusted: z.number(),
    totalDue: z.number(),
    status: ServiceLineStatusSchema,
    claim: z.unknown().nullable(),
    payment: z.unknown().nullable(),
    serviceLineTransactions: z.array(z.unknown())
}).strict();

export type ServiceLineResultType = z.infer<typeof ServiceLineResultSchema>;
